Subject: Re: rm -R reports "circular reference"
From: [email-masked] (Wolfgang Guelcker)

28 Mar 1998 11:17:43 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 8bit
To: [email-masked]

On Wed, 18 Mar 1998 16:08:10 GMT, Christopher Faylor wrote:

> 
> The B19 scheme for generating directory inodes *is* based on the full
> path name of a directory.  This should no longer be a problem in B19.
> 
> Am I correct in assuming that Weiqi Gao is using B18 or is there still some
> kind of bug in B19?

I think there is still something wrong in B19:
If I make a simple "du" without parameters in the B19 source directory

     /Cygnus/B19/src/bash
then "du" does not scan the directory lib and its subdirectories. The
file sizes are simply missing.
During scanning the directory tree, "du" gets from stat() for "lib"
the same inode number as for the already scanned subdirectory "doc"
and therefore skips "lib". If I rename "doc" to "docu" then "lib" is
scanned.
I'm working on NT4.0, SP3, NTFS, text=binary mount of / on d:/.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".